##
##  ts.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         ts
Summary:      Task Spooler
URL:          http://vicerveza.homeunix.net/~viric/soft/ts/
Vendor:       Llus Batlle i Rossell
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Process
License:      GPL
Version:      1.0.3
Release:      20240324

#   list of sources
Source0:      http://vicerveza.homeunix.net/~viric/soft/ts/ts-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Task Spooler is a Unix batch system where the tasks spooled run
    one after the other. The amount of jobs to run at once can be set
    at any time. Each user in each system has his own job queue. The
    tasks are run in the correct context from any shell/process, and its
    output/results can be easily watched. It is very useful when you
    know that your commands depend on a lot of RAM, a lot of disk use,
    give a lot of output, or for whatever reason it's better not to run
    them all at the same time, while you want to keep your resources
    busy for maximum benfit. Its interface allows using it easily in
    scripts.

%track
    prog ts = {
        version   = %{version}
        url       = http://vicerveza.homeunix.net/~viric/soft/ts/
        regex     = ts-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    case "%{l_platform -t}" in
        *-freebsd* ) GLIBCFLAGS="" ;;
        * ) GLIBCFLAGS="-D_XOPEN_SOURCE=500 -D__STRICT_ANSI__" ;;
    esac
    %{l_make} %{l_mflags -O} \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags}" \
        GLIBCFLAGS="$GLIBCFLAGS"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        ts $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        ts.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

